{ fetchurl
, makeWrapper
, python3Packages
, qt6
}:

python3Packages.buildPythonPackage rec {
  name = "zapzap";
  version = "5.2.1";
  src = fetchurl {
    url = "https://github.com/zapzap-linux/zapzap/archive/refs/tags/${version}.tar.gz";
    hash = "sha256-qJ1gsEJokSPQalcmKRNv1k5m7u4R54LGw4axtZ4P7Zg=";
  };
  dontWrapQtApps = true;
  propagatedBuildInputs = with python3Packages; [ pyqt6-webengine qt6.qtwayland qt6.qtsvg ];
  nativeBuildInputs = [ qt6.wrapQtAppsHook makeWrapper ];
  env = {
    HOME = "/tmp";
  };
  preFixup = ''
    makeWrapperArgs+=(
      # Force the app to use QT_PLUGIN_PATH values from wrapper
      --unset QT_PLUGIN_PATH
      "''${qtWrapperArgs[@]}"
    )
  '';
}
